Update the schema for an object type
curl --request PATCH \
--url https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}"
payload = {
"clearDescription": True,
"allowsSensitiveProperties": True,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": ["<string>"],
"restorable": True,
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clearDescription: true,
allowsSensitiveProperties: true,
description: '<string>',
labels: {plural: '<string>', singular: '<string>'},
primaryDisplayProperty: '<string>',
requiredProperties: ['<string>'],
restorable: true,
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>']
})
};
fetch('https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}スキーマ
Update the schema for an object type
PATCH
/
media-bridge
/
v1
/
{appId}
/
schemas
/
{objectType}
Update the schema for an object type
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
successful operation
Show child attributes
Show child attributes
最終更新日 2026年4月13日
⌘I